<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div>
    <h2> ประวัติส่วนตัว </h2>
    <p>
        <b> ชื่อ : </b>
        <span th:text="${student.getStudentEntity().getFirstname()}"/>
    </p>
    <p>
        <b> สกุล : </b>
        <span th:text="${student.getStudentEntity().getLastname()}"/>
    </p>
    <p>
        <b> วันเกิด: </b>
        <span th:text="${dob}"/>
    </p>
    <p>
        <b> อายุ: </b>
        <span th:text="${age}"/> ปี
    </p>
    <p>
        <b> ที่อยุ่: </b>
        <span th:text="${student.getStudentEntity().getDob()}"/>
    </p>
</div>

<div>
    <h2> ประวัติในมหาวิทยาลัย </h2>
    <p>
        <b> หลักสูตร : </b>
        <span th:text="${student.getStudentEntity().getDepartment().getDepartmentName()}"/>
    </p>
    <p>
        <b> รหัสนักศึกษา : </b>
        <span th:text="${student.getUsername()}"/>
    </p>
    <p>
        <b> ชั้นปี : </b>
        <span th:text="${student.getStudentEntity().getYear().getYear()}"/>
    </p>
</div>

<div>
    <p>
    <div th:switch="${student.getStudentEntity().getAvailableStatus()}">
        <span th:case="0"><b> สถานะเปิดรับงาน : </b>ปิดรับงาน</span>
        <span th:case="1"><b> สถานะเปิดรับงาน : </b>เปิดรับงาน</span>
    </div>
    </p>

    <p>
        <b> สถานะนักศึกษา : </b>
        <span th:if="${student.getStudentEntity().getGpa() >= 2.0}">สภาพปกติ</span>
        <span th:unless="${student.getStudentEntity().getGpa() >= 2.0}">สภาพวิทยาทัณฑ์</span>
    </p>

    <p>
    <div th:switch="${student.getStudentEntity().getAvailableStatus()}">
        <span th:case="0"><b> สถานะทางทหาร : </b>รอการเกณฑ์ทหาร</span>
        <span th:case="1"><b> สถานะทางทหาร : </b>ผ่านการเกณฑ์ทหาร</span>
    </div>
    </p>
</div>
<div th:if="${interviewStatus == 1}">
    <div>
        <h2> ติดต่อ </h2>

        <p>
            <b> เบอร์โทรศัพท์ : </b>
            <span th:text="${student.getStudentEntity().getPhoneNo()}"/>
        </p>
        <p>
            <b> Line ID : </b>
            <span th:text="${student.getStudentEntity().getLineId()}"/>
        </p>
        <p>
            <b> Facebook : </b>
            <span th:text="${student.getStudentEntity().getFacebook()}"/>
        </p>
    </div>
</div>

<div th:if="${interviewStatus == 0}">
    <form th:action="@{/job/confirm_student}" method="post">
        <input type="hidden" name="userId" th:value="${student.getUserId()}">
        <input type="hidden" name="jobId" th:value="${jobId}">
        <button type="submit">เรียกสัมภาษณ์</button>
    </form>
</div>
<div th:if="${interviewStatus == 1}">
        <button type="submit" disabled>ถูกเรียกสัมภาษณ์แล้ว</button>
    </form>
</div>
</body>
</html>